dnsjit.output.pcap(3)

NAME
dnsjit.output.pcap - Output to a PCAP using libpcap

SYNOPSIS
  local output = require("dnsjit.output.pcap").new()
  output:open("file.pcap")
  ...
  output:close()

DESCRIPTION
Output module for writing dnsjit.core.object.pcap objects to a PCAP,

  Functions

Pcap.new()
    Create a new Pcap output.

Pcap:log()
    Return the Log object to control logging of this instance or module.

Pcap:open(file, linktype, snaplen)
    Open the PCAP file to write to using the linktype and snaplen. Uses pcap_dump_open() so you can pass "-" to it to open stdout, see it's man-page for more information. Returns 0 on success.

Pcap:close()
    Close the PCAP.

Pcap:have_errors()
    Return true if the underlying FILE* indicates that there's been an error.

Pcap:receive()
    Return the C functions and context for receiving objects.

SEE ALSO
dnsjit.input.pcap(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net